# $Revision: 1.15 $, $Date: 2010/10/31 07:02:50 $
Summary:	proxymngr application - proxy manager service
Summary(pl.UTF-8):	Aplikacja proxymngr - usługa zarządzająca proxy
Name:		xorg-app-proxymngr
Version:	1.0.2
Release:	1
License:	MIT
Group:		X11/Applications
Source0:	http://xorg.freedesktop.org/releases/individual/app/proxymngr-%{version}.tar.bz2
# Source0-md5:	714c4656e749ce856690b872e3d4ac4c
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	xorg-lib-libICE-devel
BuildRequires:	xorg-lib-libXt-devel
BuildRequires:	xorg-lib-xtrans-devel
BuildRequires:	xorg-proto-xproxymanagementprotocol-devel
BuildRequires:	xorg-util-util-macros >= 1.8
Requires:	xorg-app-lbxproxy
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The proxy manager (proxymngr) is responsible for resolving requests
from xfindproxy (and other similar clients), starting new proxies when
appropriate, and keeping track of all of the available proxy services.
The proxy manager strives to reuse existing proxies whenever possible.

%description -l pl.UTF-8
Zarządca proxy (proxymngr) odpowiada za spełnianie żądań od xfindproxy
(i innych podobnych klientów), uruchamianie nowych proxy w razie
potrzeby i śledzenie wszystkich dostępnych usług proxy. Zarządca proxy
stara się w miarę możliwości wykorzystywać ponownie istniejące proxy.

%prep
%setup -q -n proxymngr-%{version}

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	LBXPROXY=%{_bindir}/lbxproxy

# NOTE different CONFIG_DIR values - there is a bug in proxymngr 1.0.[12] Makefile.am
# ("$(CONFIG_DIR)/proxymngr/pmconfig" is appended during build, but pm config is
# installed in $(CONFIG_DIR) at install stage)
%{__make} \
	CONFIG_DIR=/etc/X11

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	CONFIG_DIR=/etc/X11/proxymngr

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README
%attr(755,root,root) %{_bindir}/proxymngr
%dir /etc/X11/proxymngr
%config(noreplace) %verify(not md5 mtime size) /etc/X11/proxymngr/pmconfig
%{_mandir}/man1/proxymngr.1x*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xorg-app-proxymngr.spec,v $
Revision 1.15  2010/10/31 07:02:50  qboosh
- updated to 1.0.2

Revision 1.14  2008/07/27 23:01:55  arekm
- release 2

Revision 1.13  2007-04-30 22:33:03  qboosh
- informative descs from man

Revision 1.12  2007/02/12 22:09:23  glen
- tabs in preamble

Revision 1.11  2007/02/12 01:06:39  baggins
- converted to UTF-8

Revision 1.10  2006/10/15 11:53:56  qboosh
- pass proper CONFIG_DIR values to store pmconfig in /etc/X11/* (following X11-PLD.patch)
- use individual dir, more verbose files, release 1

Revision 1.9  2006/01/10 15:03:44  qboosh
- 1.0.1 (X11R7.0 release)

Revision 1.8  2005/12/09 11:45:23  qboosh
- 0.99.2 (X11R7.0-RC3)

Revision 1.7  2005/10/22 17:59:03  qboosh
- pkgconfig epoch

Revision 1.6  2005/10/21 14:15:37  qboosh
- 0.99.1 (X11R7.0-RC1)
- removed outdated man patch, added missing dir
- require lbxproxy at install, not build time

Revision 1.5  2005/08/27 21:46:18  qboosh
- sorted BRs

Revision 1.4  2005/08/27 20:04:01  wiget
- standard permisions to binaries

Revision 1.3  2005/08/27 20:00:44  wiget
- cleanups, kill /usr/X11R6

Revision 1.2  2005/08/27 17:42:47  wiget
- s/pkg-config/pkgconfig/ in BR:

Revision 1.1  2005/08/15 12:17:57  arekm
- new try
- all xorg files prefixed with xorg-kind_of_package where kind of package can be seen at http://xorg.freedesktop.org/X11R7.0-RC0/

Revision 1.1  2005/08/14 22:46:41  arekm
- modular xorg specs

* Sat Aug 13 2005 17:59:07  Tomasz Trojanowski  <trojan@pld-freebsd.org>
- added BR: lbxproxy

* Sat Aug 13 2005 17:42:57  Tomasz Trojanowski  <trojan@pld-freebsd.org>
- fixed summaries and descriptions
- fixed Group
- defined %%{_prefix} and %%{_mandir}
- added proxymngr-man.patch
- added BR: libXt-devel, xproxymanagementprotocol-devel
- release 0.02

* Sun Aug  7 2005 18:21:37  Tomasz Trojanowski  <trojan@pld-freebsd.org>
- initial release
